Bug 49326 - g77 -ffixed-line-length-132 is broken
g77 -ffixed-line-length-132 is broken
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 20:58 EDT by olchansk
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 14:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description olchansk 2001-07-17 20:58:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2+) Gecko/20010715

Description of problem:
g77 -ffixed-line-length-132 generates a warning message:
f771: warning: unknown register name: line-length-132


How reproducible:
Always

Steps to Reproduce:
1. touch dummy.F
2. g77 -c dummy.F -ffixed-line-length-132

	

Actual Results:  [olchansk@sam source]$ touch dummy.F
[olchansk@sam source]$ g77 -c dummy.F -ffixed-line-length-132
f771: warning: unknown register name: line-length-132
[olchansk@sam source]$

Expected Results:  The stock RedHat 6.2 g77 and gcc-3.0 g77 produce the
expected:
[olchansk@art olchansk]$ touch dummy.F
[olchansk@art olchansk]$ g77 -c dummy.F -ffixed-line-length-132
[olchansk@art olchansk]$ 
(notice no warning)

Additional info:

Software version numbers:

[olchansk@sam source]$ rpm -qa | grep -i g77
compat-egcs-g77-6.2-1.1.2.14
gcc-g77-2.96-85
[olchansk@sam source]$ which g77
/usr/bin/g77
[olchansk@sam source]$ g77 -v
g77 version 2.96 20000731 (Red Hat Linux 7.1 2.96-85) (from FSF-g77 version
0.5.26 20000731 (Red Hat Linux 7.1 2.96-85))
Driving: g77 -v -c -xf77-version /dev/null -xnone
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-85)
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/tradcpp0 -lang-fortran -v
-D__GNUC__=2 -D__GNUC_MINOR__=96 -D__GNUC_PATCHLEVEL__=0 -D__ELF__ -Dunix
-Dlinux -D__ELF__ -D__unix__ -D__linux__ -D__unix -D__linux -Asystem(posix)
-D__NO_INLINE__ -Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__
-D__tune_i386__ /dev/null /dev/null
GNU traditional CPP version 2.96 20000731 (Red Hat Linux 7.1 2.96-85)
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/f771 -fnull-version -quiet
-dumpbase g77-version.f -version -fversion -o /tmp/ccPXeFRG.s /dev/null
GNU F77 version 2.96 20000731 (Red Hat Linux 7.1 2.96-85)
(i386-redhat-linux) compiled by GNU C version 2.96 20000731 (Red Hat Linux
7.1 2.96-85).
GNU Fortran Front End version 0.5.26 20000731 (Red Hat Linux 7.1 2.96-85)
 as -V -Qy -o /tmp/ccSTvZbe.o /tmp/ccPXeFRG.s
GNU assembler version 2.10.91 (i386-redhat-linux) using BFD version 2.10.91.0.2
 ld -m elf_i386 -dynamic-linker /lib/ld-linux.so.2 -o /tmp/ccPYeFjM
/tmp/ccSTvZbe.o /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crt1.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbegin.o
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lg2c -lm -lgcc -lc
-lgcc /usr/lib/gcc-lib/i386-redhat-linux/2.96/crtend.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o
 /tmp/ccPYeFjM
__G77_LIBF77_VERSION__: 0.5.26 20000731 (prerelease)
@(#)LIBF77 VERSION 19991115
__G77_LIBI77_VERSION__: 0.5.26 20000731 (prerelease)
@(#) LIBI77 VERSION pjw,dmg-mods 19991115
__G77_LIBU77_VERSION__: 0.5.26 20000731 (prerelease)
@(#) LIBU77 VERSION 19980709
[olchansk@sam source]$
Comment 1 Jakub Jelinek 2001-07-19 15:06:48 EDT
Fixed by
http://gcc.gnu.org/ml/gcc-patches/2001-04/msg00963.html
and
http://gcc.gnu.org/ml/gcc-patches/2001-07/msg01361.html
This will make it into gcc-2.96-95.
Comment 2 Vladimir Makarov 2004-10-05 14:25:59 EDT
gcc-2.96 is too old.  Its release cycle was finished long ago.  Jakub
wrote about fixing the bug in gcc-2.96-95.  I can confirm that the bug
is absent in gcc-3.2 too.  So I am closing the case.  If it is still
important, we could reopen it.

Note You need to log in before you can comment on or make changes to this bug.